Which PHP interpreter for IIS 5.1?

Do you have a question? Post it now! No Registration Necessary.  Now with pictures!

Threaded View


I use IIS 5.1 on Windows XP. I use PHP 5.3.1.
What PHP interpreter should I use, considering the choice of web-
server and php version?
Should i use "php-cgi.exe"
or should I use "php5isapi.dll"?

Another question: In one tutorial, I'm told that I should add
"php5isapi.dll" to the "ISAPI-filter" settings in IIS. I don't
understand what ISAPI-filter is and why this dll should be listed

Any help appreciated.
Thanks a lot

Re: Which PHP interpreter for IIS 5.1?

On Fri, 18 Dec 2009 03:48:01 -0800 (PST), Kungen wrote:

Quoted text here. Click to load it

I believe the first is the standalone php executable.  Should you chose that
approach, a copy of which is executed by the web server for each and every
php page.

The second method refers to the PHP module for IIS.  Normally (with Apache
at any rate) it is preferrable to use the module.

The ISAPI filter, I guess this is where you configure IIS to use the PHP

Site Timeline